Package org.apache.wiki.api.search

## Class QueryItem

- java.lang.Object
- - org.apache.wiki.api.search.QueryItem

    public class QueryItem
    extends java.lang.Object

This simple class just fulfils the role of a container for searches. It tells the word and whether it is requested or not.

### Field Summary

Fields
`static int` `FORBIDDEN` The word may NOT be in the pages
`static int` `REQUESTED` The word should be in the pages, but the search engine may use its own discretion.
`static int` `REQUIRED` The word is required to be in the pages
`int` `type` The type of the word.
`java.lang.String` `word` The word that is being searched

### Constructor Summary

Constructors
`QueryItem()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REQUIRED

    public static final int REQUIRED

The word is required to be in the pages

See Also:
  Constant Field Values

#### FORBIDDEN

    public static final int FORBIDDEN

The word may NOT be in the pages

See Also:
  Constant Field Values

#### REQUESTED

    public static final int REQUESTED

The word should be in the pages, but the search engine may use its own discretion.

See Also:
  Constant Field Values

#### word

    public java.lang.String word

The word that is being searched

#### type

    public int type

The type of the word. See above for types. The default is REQUESTED.

### Constructor Detail

#### QueryItem

    public QueryItem()